Flavours API Documentation
  1. Blend
Flavours API Documentation
  • Readme
  • Developer Guide
  • Authorization
  • Includables
  • Pagination
  • Sorting
  • Retrieve Market Information
  • Retrieve Branch Information
  • Me
    • Overview
    • Detail
      GET
  • Branches
    • Overview
    • List
      GET
    • Detail
      GET
    • Create
      POST
    • Update
      POST
    • Delete
      DELETE
  • Orders
    • Overview
    • List
    • Detail
    • Create
    • Calculate
    • Checkout
    • Update
    • Sync
  • Customers
    • Overview
    • List
    • Detail
    • Create
    • Update
  • Products
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Product Categories
    • Overview
    • List
    • Detail
  • Discounts
    • Overview
    • List
    • Detail
    • Verify
  • Payment Methods
    • Overview
    • List
    • Detail
  • Table
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Printer
  • Webhook
    • Orders Webhooks
      • Webhook Events
      • Payload
    • Product Webhooks
      • Webhook Events
      • Payload
    • Loyalty Webhooks
      • Promotional Coupon
    • Customers Webhooks
      • Webhook Events
      • Payload
    • Error Webhook
      • Stay Alert to Connectivity Issues
    • Third-Party
      • Ballurh
        • Install Ballurh
      • Loyapro
        • Loyalty
          • Check Reward
          • Redeem Reward
      • Bonat
        • Check Reward
        • Redeem Reward
      • Fai
        • Register Entity
      • Blend
        • Authorization
          POST
        • Get Menu
          GET
        • Get Branches
          GET
        • Create Order
          POST
        • Update Order
          POST
  1. Blend

Create Order

Developing
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
POST
https://api.flavours.sa/dev/api/v2
blend/api/orders

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "branch_id": "1",
    "brand_id": "5000",
    "partner_reference": "Jahez: 12327",
    "note": "cut in half please",
    "total": 11.5,
    "subtotal": 10,
    "tax": 1.15,
    "status": "PENDING", // ACCEPTED, PREPARING, CANCELED, REJECTED, TIME_OUT
    "customer": { //customer is optional
        "phone": "0122222",
        "name": "ssssw"
    },
    "products": [
        {
            "id": "101",
            "quantity": 2,
            "total": 11.5,
            "note": null,
            "modifiers": [
                {
                    "id": "301",
                    "quantity": 2,
                    "total": 0,
                    "note": "Add cheese" // Optional: Note for the modifier
                }
            ]
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.flavours.sa/dev/api/v2blend/api/orders' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "branch_id": "1",
    "brand_id": "5000",
    "partner_reference": "Jahez: 12327",
    "note": "cut in half please",
    "total": 11.5,
    "subtotal": 10,
    "tax": 1.15,
    "status": "PENDING", // ACCEPTED, PREPARING, CANCELED, REJECTED, TIME_OUT
    "customer": { //customer is optional
        "phone": "0122222",
        "name": "ssssw"
    },
    "products": [
        {
            "id": "101",
            "quantity": 2,
            "total": 11.5,
            "note": null,
            "modifiers": [
                {
                    "id": "301",
                    "quantity": 2,
                    "total": 0,
                    "note": "Add cheese" // Optional: Note for the modifier
                }
            ]
        }
    ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "message": "Order created successfully",
    "order_id": "123456"
}
Modified at 2026-03-09 15:15:38
Previous
Get Branches
Next
Update Order
Built with